<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<!DOCTYPE html>
<html lang="en">

<jsp:include page="includes/header.jsp"/>

<body>

<jsp:include page="includes/topmenu.jsp"/>

<div id="mainPanel" class="container">
    <div class="offset2 span8 ">
        <h1>Terms of Service / Conditions gnrales d'utilisation</h1>

        <h2>1 General</h2>

        <ol>
            <li>By using any of the Ippon Technologies products, software, or services available at *.ippon.fr
                (collectively referred to as "Services") provided by Ippon Techonologies ("Ippon"), you agree to be
                bound by the following terms and conditions ("Terms of Service").
            <li>Ippon reserves the right to update and change the Terms of Service at any time without notice. You can
                review the most current version of the Terms of Service at: https://tatami.ippon.fr/tatami/tos
            <li>The failure of Ippon to exercise or enforce any right or provision of the Terms of Service shall not
                constitute a waiver of such right or provision.
            <li>You agree that Ippon owns all legal rights in the Service. You must not remove, modify or obscure any
                legal notices. You are not entitled to use Ippon's trademarks (especially "Ippon Technologies"), trade
                names, brands, domain names, or other distinctive brand features.
            <li>Violation of any of the terms below can result in the termination of your account or access to the
                Services. Violation of any of the terms will also terminate your usage rights of the Services.
            <li>If a provision of this agreement is or becomes illegal, invalid or unenforceable in any jurisdiction,
                that shall not affect: (i) the validity or enforceability in that jurisdiction of any other provision of
                this agreement; or (ii) the validity or enforceability in other jurisdictions of that or any other
                provision of this agreement.
            <li>These Terms of Service constitute the entire agreement between you and Ippon und replace all previous
                agreements under this title. There are no verbal subsidiary agreements.
            <li>These Terms of Service, and your relationship with Ippon under these Terms of Service, shall be governed
                by the laws of France. You and Ippon agree to submit to the exclusive jurisdiction of the courts located
                in France to resolve any legal matter arising from the Terms of Service.
        </ol>
        <h2>2 Provision of the Services by Ippon Technologies</h2>

        <ol>


            <li>Your use of the Services is at your sole risk. The Services are provided on an "as is" and "as
                available" basis.
            <li>Ippon does not warrant that (i) the Services will meet your requirements or expectations, (ii) the
                Services will be delivered uninterrupted, timely, secure, or error-free, (iii) the results that may be
                obtained from the use of the Services will be accurate or reliable, (iv) any errors in the Services will
                be corrected.
            <li>You understand and agree that Ippon shall not be liable for any direct, indirect, incidental, special,
                consequential or exemplary damages, including but not limited to any loss of profit, loss of goodwill,
                loss of business reputation, loss of data, cost of procurement of substitute goods or Services, or other
                intangible loss, resulting from: (i) the use or the inability to use the Services; (ii) any changes
                which Ippon may make to the Services, or any permanent or temporary cessation in the provision of the
                Services; (iii) unauthorized access to or alteration of your transmissions or data; (iv) the deletion
                of, corruption of, or failure to store, any content and other communications data maintained or
                transmitted by or through the use of the Services; (v) or any other matter relating to the Services.
            <li>Technical support is provided on a best-effort basis and only by e-mail.
            <li>You understand that Ippon can use third parties (e.g., hosting partners) to provide the necessary
                resources (e.g., hardware, software, networking, storage, etc.) to run the Services.
            <li>Ippon may stop, remove, modify, or add (permanently or temporarily) Services (or features within
                Services) at Ippon?s sole discretion. Any new, changed, or removed features are subject to the Terms of
                Service. Continued use of the Services after any such changes constitute your consent to the changes.
        </ol>
        <h2>3 Use of the Services by you</h2>

        <ol>
            <li>You agree to use the Services only for purposes that are permitted by (i) the Terms of Service and (ii)
                any applicable law, regulation or generally accepted practices or guidelines in the relevant
                jurisdictions.
            <li>For certain services, Ippon may offer or require you to register for an account. You ensure that all
                registration information you provide will always be valid, correct, and up to date. You are responsible
                for maintaining the security of your account and password. Accounts registered by bots or other
                automated methods are not permitted.
            <li>For certain services, Ippon may offer to upload your personal profile photo. You are responsible to not
                upload an abusive photo, to not infringe on any copyrights or trademarks, and to not use a design which
                other Ippon users may deem offensive.
            <li>For certain services, Ippon may offer to define a personal URL (web address). You understand that Ippon
                can rename or reject your personal URL, e.g., if you intentionally or unintentionally interfere with a
                trademark owner or because your personal URL is deemed offensive.
            <li>You agree that you will not impersonate another person.
            <li>You agree that you will not engage in any activity that interferes with or disrupts the Services (or the
                servers and networks which are connected to the Services).
            <li>You agree that you will not reproduce, duplicate, copy, sell, trade or resell the Services for any
                purpose without the express written permission by Ippon.
            <li>You agree that you are solely responsible for (and that Ippon has no responsibility to you or to any
                third party for) any breach of your obligations under the Terms of Service and for the consequences
                (including any loss or damage which Ippon may suffer) of any such breach.
            <li>Ippon reserves the right (but has no obligation) to pre-screen, review, flag, filter, modify, refuse or
                remove any or all content or account from any of the Services at Ippon?s sole discretion. You understand
                that by using the Services you may be exposed to content that you may find offensive, indecent or
                objectionable and that, in this respect, you use the Services at your own risk.
        </ol>
        <h2>4 Advertisements</h2>

        <ol>
            <li>Some of the Services are supported by advertising revenue and may display advertisements and promotions.
                These advertisements may be targeted to the content of information stored on or made available to the
                Services.
            <li>The manner, mode and extent of advertising on the Services are subject to change without specific notice
                to you.
            <li>You agree that Ippon may place such advertising on the Services.
            <li>You must not block such advertising.
        </ol>
        <h2>5 API Terms</h2>
        <ol>
            <li>Any use of the application programming interface (API) is bound by the terms of this agreement plus the
                following specific terms:
            <li>Abuse or excessively frequent requests via the API may result in the temporary or permanent suspension
                of access to the API. Ippon determines abuse or excessive usage of the API at its sole discretion.
            <li>Ippon reserves the right at any time to modify or discontinue, temporarily or permanently, your access
                to the API (or any part thereof) with or without notice. Ippon especially reserves the right to limit
                the number of requests via the API to a certain upper limit per time interval.
            <li>Your use of the API is free of charge up to a certain extent. Larger amounts of API transactions will be
                charged.
            <li>Ippon reserves the right to change the API's pricing model at any time. In such a case, you will of
                course be free to discontinue using the API.
            <li>As a user of the API, you may, within your product, indicate that your product utilizes the Ippon API.
                At other places or in other contexts, however, you may not use either the Ippon Technologies brand name
                or the Ippon Technologies logo. In particular, you may not use either the Ippon Technologies brand or
                the Ippon Technologies logo in the name of your product.
        </ol>

        <h3>August 7th, 2012</h3>
    </div>
</div>

<jsp:include page="includes/footer.jsp"/>

</body>
</html>
